/* EEPROM support - include in your code */
#include "app2.h"

void ee_write(unsigned char add, unsigned char dat)
{
  unsigned char oldgie=GIE;
  EEADR=add;
  EEDATA=dat;
  EEPGD=0;
  WREN=1;
  do 
    {
      GIE=0;
    } while (GIE);
  EECON2=0x55;
  EECON2=0xAA;
  WR=1;
  GIE=oldgie;
  while (WR);  /// wait for write to complete
  WREN=0;  
  EEIF=0;
}


unsigned char ee_read(unsigned char add)
{
  EEADR=add;
  EEPGD=0;
  RD=1;
  return EEDATA;
}


#ifdef DEMO_EEPROM
#include "app2lib.h"
#include "pnum.c"

void main() 
{
  unsigned char n;
  serialSetup();
  ee_write(0,0x21);
  ee_write(1,0x50);
  n=ee_read(0);
  pnumber(n);
  serialSend(' ');
  n=ee_read(1);
  pnumber(n);
  serialSend('\n');
  while (1);  
}

#endif
